Subject: [WIP] [PATCH 0/4] Unifying git branch -l, git tag -l, and git for-each-ref

From: karthik nayak <[email-masked]>
Date: Wed, 20 May 2015 18:44:42 +0530

Hello All,

Just updating on my progress for my GSoC project on "Unifying git 
branch- l, git tag -l and git for-each-ref."

I have been going through the code for the above commands, I started off 
first with 'for-each-ref' because it seemed to be the most basic command 
of the three, I have been building the common library
'ref-filter' based on the requirements for 'for-each-ref', eventually
I plan to merge 'tag -l' and 'branch -l' and extend its functionality.

The '--format' and '--sort' option provided by for-each-ref seemed to be 
the most fundamental and I plan on using this implementation and 
extending the option to 'tag -l' and 'branch -l'. So this left me with 
moving most of the code from 'for-each-ref' to 'ref-filter' and leaving 
'for-each-ref' with nothing but the command call from the main git command.

This is still a WIP and hope to get some suggestions/feedback on my 
progress.